> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a single logs

> Returns a single logs object using the specified key.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json GET /logs('{Id}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /logs('{Id}'):
    get:
      tags:
        - logs
      summary: Return a single logs
      description: Returns a single logs object using the specified key.
      operationId: getlogs
      parameters:
        - name: Id
          in: path
          description: The key Id
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: Select structural property
      responses:
        '200':
          description: logs response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/logs'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    logs:
      type: object
      properties:
        Id:
          description: The Id of the log message.
          type: string
        Type:
          description: The type of the log message.
          type: string
        Timestamp:
          description: The time when the event occurred.
          type: string
          format: date-time
        Script:
          description: The resource causing the error.
          type: string
        Message:
          description: The message to be included in requests to this endpoint.
          type: string
        InstanceId:
          description: The host which writes the log in the HA environment.
          type: string
      required:
        - Id
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````